import { InterpolationFunction, StyledComponentClass, Styles, ThemeProps } from 'styled-components';
import { ThemedCssFunction } from 'wrappers/styled-components';
import { ThemeInterface } from 'themes/theme';
export interface Media {
    sm: ThemedCssFunction<ThemeInterface>;
    md: ThemedCssFunction<ThemeInterface>;
    lg: ThemedCssFunction<ThemeInterface>;
}
export interface ContainerProps {
    fixed?: boolean;
}
declare const newMedia: Media;
export declare const containerCss: (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<ContainerProps & ThemeProps<ThemeInterface>>)[];
export default newMedia;
